--Adding a message to the screen lower left message list.
function p.add(txt)
    ga_set_s("var.messages.slot5.msg", ga_get_s("var.messages.slot4.msg"))
    ga_set_f("var.messages.slot5.ttl", ga_get_f("var.messages.slot4.ttl"))

    ga_set_s("var.messages.slot4.msg", ga_get_s("var.messages.slot3.msg"))
    ga_set_f("var.messages.slot4.ttl", ga_get_f("var.messages.slot3.ttl"))

    ga_set_s("var.messages.slot3.msg", ga_get_s("var.messages.slot2.msg"))
    ga_set_f("var.messages.slot3.ttl", ga_get_f("var.messages.slot2.ttl"))

    ga_set_s("var.messages.slot2.msg", ga_get_s("var.messages.slot1.msg"))
    ga_set_f("var.messages.slot2.ttl", ga_get_f("var.messages.slot1.ttl"))

    ga_set_s("var.messages.slot1.msg", txt)
    local duration = 6.0
    ga_set_f("var.messages.slot1.ttl", duration)
end

function p.subtract_var(var, elapsed)
    local old_value = ga_get_f(var)
    local new_value = old_value - elapsed
    ga_set_f(var, new_value)
end

function p.update()
    local elapsed = ga_get_sys_f("time.elapsed")
    p.subtract_var("var.messages.slot1.ttl", elapsed)
    p.subtract_var("var.messages.slot2.ttl", elapsed)
    p.subtract_var("var.messages.slot3.ttl", elapsed)
    p.subtract_var("var.messages.slot4.ttl", elapsed)
    p.subtract_var("var.messages.slot5.ttl", elapsed)
end
